Package org.apache.lucene.util.automaton

# Enum Class RegExp.Kind

java.lang.Object
java.lang.Enum<RegExp.Kind>
org.apache.lucene.util.automaton.RegExp.Kind

All Implemented Interfaces:
  `Serializable`, `Comparable<RegExp.Kind>`, `Constable`

Enclosing class:
  `RegExp`

public static enum RegExp.Kind extends Enum<RegExp.Kind>
The type of expression represented by a RegExp node.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`REGEXP_ANYCHAR`
Any Character allowed
`REGEXP_ANYSTRING`
Any string allowed
`REGEXP_AUTOMATON`
An Automaton expression
`REGEXP_CHAR`
A Character
`REGEXP_CHAR_RANGE`
A Character range
`REGEXP_COMPLEMENT`
The complement of a character class
`REGEXP_CONCATENATION`
A sequence of two expressions
`REGEXP_DEPRECATED_COMPLEMENT`
Deprecated.
Will be removed in Lucene 11
`REGEXP_EMPTY`
An empty expression
`REGEXP_INTERSECTION`
The intersection of two expressions
`REGEXP_INTERVAL`
An Interval expression
`REGEXP_OPTIONAL`
An optional expression
`REGEXP_PRE_CLASS`
An expression for a pre-defined class e.g.
`REGEXP_REPEAT`
An expression that repeats
`REGEXP_REPEAT_MIN`
An expression that repeats a minimum number of times
`REGEXP_REPEAT_MINMAX`
An expression that repeats a minimum and maximum number of times
`REGEXP_STRING`
A string expression
`REGEXP_UNION`
The union of two expressions

## Method Summary

Modifier and Type
Method
Description
`static RegExp.Kind`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RegExp.Kind[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### REGEXP_UNION

public static final RegExp.Kind REGEXP_UNION
The union of two expressions

### REGEXP_CONCATENATION

public static final RegExp.Kind REGEXP_CONCATENATION
A sequence of two expressions

### REGEXP_INTERSECTION

public static final RegExp.Kind REGEXP_INTERSECTION
The intersection of two expressions

### REGEXP_OPTIONAL

public static final RegExp.Kind REGEXP_OPTIONAL
An optional expression

### REGEXP_REPEAT

public static final RegExp.Kind REGEXP_REPEAT
An expression that repeats

### REGEXP_REPEAT_MIN

public static final RegExp.Kind REGEXP_REPEAT_MIN
An expression that repeats a minimum number of times

### REGEXP_REPEAT_MINMAX

public static final RegExp.Kind REGEXP_REPEAT_MINMAX
An expression that repeats a minimum and maximum number of times

### REGEXP_COMPLEMENT

public static final RegExp.Kind REGEXP_COMPLEMENT
The complement of a character class

### REGEXP_CHAR

public static final RegExp.Kind REGEXP_CHAR
A Character

### REGEXP_CHAR_RANGE

public static final RegExp.Kind REGEXP_CHAR_RANGE
A Character range

### REGEXP_ANYCHAR

public static final RegExp.Kind REGEXP_ANYCHAR
Any Character allowed

### REGEXP_EMPTY

public static final RegExp.Kind REGEXP_EMPTY
An empty expression

### REGEXP_STRING

public static final RegExp.Kind REGEXP_STRING
A string expression

### REGEXP_ANYSTRING

public static final RegExp.Kind REGEXP_ANYSTRING
Any string allowed

### REGEXP_AUTOMATON

public static final RegExp.Kind REGEXP_AUTOMATON
An Automaton expression

### REGEXP_INTERVAL

public static final RegExp.Kind REGEXP_INTERVAL
An Interval expression

### REGEXP_PRE_CLASS

public static final RegExp.Kind REGEXP_PRE_CLASS
An expression for a pre-defined class e.g. \w

### REGEXP_DEPRECATED_COMPLEMENT

@Deprecated public static final RegExp.Kind REGEXP_DEPRECATED_COMPLEMENT
Deprecated.
Will be removed in Lucene 11
The complement of an expression.

## Method Details

### values

public static RegExp.Kind[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static RegExp.Kind valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null